%define oname hachoir-regex

Name: python-module-%oname
Version: 1.0.5
Release: alt1

Summary: Manipulation of regular expressions (regex)
Group: Development/Python
License: GPLv2
Url: http://bitbucket.org/haypo/hachoir/wiki/hachoir-regex
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %oname-%version.tar.gz

BuildArch: noarch
BuildPreReq: python-devel python-module-docutils

%description
hachoir-regex is a Python library for regular expression (regex or
regexp) manupulation. You can use a|b (or) and a+b (and) operators.
Expressions are optimized during the construction: merge ranges,
simplify repetitions, etc. It also contains a class for pattern matching
allowing to search multiple strings and regex at the same time.

%prep
%setup

%build
%python_build

for i in regex regression; do
	rst2html.py $i.rst >$i.html
done

%install
%python_install

%files
%doc AUTHORS COPYING README PKG-INFO *.html
%python_sitelibdir/*

%changelog
* Wed Aug 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.5-alt1
- Initial build for Sisyphus

